<?php

function __($text) {
	switch ($text) {
		case 'credentials_error':
			return 'Error : Invalid Credentials';
		case 'login_email_label':
			return 'Email';
		case 'login_password_label':
			return 'Password';
		case 'login_button':
			return 'Login';
		case 'error_box':
			return 'Error occured. Try again';
		case 'success_box':
			return 'Changes saved';
		case 'menu_home':
			return 'HOME';
		case 'menu_features':
			return 'FEATURES';
		case 'menu_testimonials':
			return 'TESTIMONIALS';
		case 'menu_pricing':
			return 'PRICING';
		case 'menu_contact':
			return 'CONTACT';
		case 'menu_footer':
			return 'FOOTER';
		case 'menu_mics':
			return 'MICS';
		case 'save_changes_button':
			return 'SAVE CHANGES';
		case 'enable_page_label':
			return 'Enable this page';
		case 'double_click_tooltip':
			return 'Double click to edit';
		case 'double_click_legend':
			return 'Double click on an element to edit it.';
		case 'double_click_link_tooltip':
			return 'Double click to edit link';
		case 'contact_latitude_label':
			return 'LATITUDE';
		case 'contact_longitud_label':
			return 'LONGITUDE';
		case 'contact_usage_1':
			return 'To get the coordinates of a place, find the location on Google Maps. Right-click on your place on the map.';
		case 'contact_usage_2':
			return 'Select What is here?';
		case 'contact_usage_3':
			return 'Under the search box, an info card with coordinates will appear.';
		case 'icons_lightbox_close_button':
			return 'CLOSE';
		case 'icons_lightbox_web_app_label':
			return 'Web Application Icons';
		case 'icons_lightbox_currency_label':
			return 'Currency Icons';
		case 'icons_lightbox_text_editor_label':
			return 'Text Editor Icons';
		case 'icons_lightbox_directional_label':
			return 'Directional Icons';
		case 'icons_lightbox_video_player_label':
			return 'Video Player Icons';
		case 'icons_lightbox_brand_label':
			return 'Brand Icons';
		case 'icons_lightbox_medical_label':
			return 'Medical Icons';
		case 'change_feature_visibility_tooltip':
			return 'Click to change feature visibility';
		case 'change_icon_tooltip':
			return 'Click to change icon';
		case 'upload_lightbox_button':
			return 'Upload Background Image';
		case 'upload_lightbox_close_return_button':
			return 'Close & Return';
		case 'sliders_autoplay_with_label':
			return 'Autoplay Sliders with';
		case 'sliders_autoplay_seconds_label':
			return 'second(s) interval';
		case 'home_change_website_logo_tooltip':
			return 'Click to change website logo';
		case 'slider_change_slide_visibility_tooltip':
			return 'Click to change slide visibility';
		case 'slider_change_background_image_tooltip':
			return 'Click to change background image';
		case 'slider_change_image_filter_tooltip':
			return 'Click to change image filter visibility';
		case 'upload_lightbox_size_error':
			return 'Error : Maximum size of image can be 500 KB';
		case 'upload_lightbox_format_error':
			return 'Error : Only JPEG & PNG allowed';
		case 'upload_lightbox_background_button':
			return 'Change Background Image';
		case 'upload_lightbox_background_usage':
			return 'Choose a LOW SIZE & HIGH RESOLUTION image above 1600 px * 900 px. <br />A low resolution image will be stretched and it will not look nice.';
		case 'upload_lightbox_logo_button':
			return 'Change Logo';
		case 'upload_lightbox_logo_usage':
			return 'For best results select an image of width 135 px in width.';
		case 'install_write_error':
			return 'Error : Write permission not enabled<br /><br />Lander requires write permission';
		case 'install_create_admin':
			return 'Installation : Create your Admin Login Credentials';
		case 'install_email_label':
			return 'Email';
		case 'install_new_password_label':
			return 'New Password';
		case 'install_confirm_password_label':
			return 'Confirm New Password';
		case 'install_proceed_button':
			return 'Proceed';
		case 'install_doesnt_match_error':
			return 'Password does not match.<br />';
		case 'install_only_spaces_error':
			return 'Password cannot be only spaces. <br />';
		case 'install_start_end_spaces_error':
			return 'Password cannot start or/and end with whitespaces.<br />';
		case 'install_permissions_error':
			return 'Error occured. Check permissions for the server.';
		case 'install_proper_email_error':
			return 'Not a proper email address.';
		case 'install_saved':
			return 'Saved.';
		case 'mics_theme_label':
			return 'Theme';
		case 'mics_theme_orange_option':
			return 'Orange';
		case 'mics_theme_red_option':
			return 'Red';
		case 'mics_theme_green_option':
			return 'Green';			
		case 'mics_admin_login_label':
			return 'Admin Login';
		case 'mics_email_label':
			return 'Email';
		case 'mics_new_password_label':
			return 'New Password';
		case 'mics_confirm_password_label':
			return 'Confirm New Password';
		case 'mics_proper_email_error':
			return 'Not a proper email format.';
		case 'mics_less_than_6_error':
			return 'Passwords cannot be less than 6 characters.';
		case 'mics_doesnt_match_error':
			return 'Passwords do not match.';
		case 'mics_only_spaces_error':
			return 'Password cannot be only spaces.';
		case 'mics_start_end_spaces_error':
			return 'Password cannot start or/and end with whitespaces.';
		case 'pricing_change_visibility':
			return 'Click to change pricing-table visibility';
		case 'testimonials_change_visibility':
			return 'Click to change testimonial visibility';
		case 'testimonials_change_customer_image':
			return 'Click to change customer image';
		case 'testimonials_change_image_button':
			return 'Change Testimonial Image';
		case 'testimonials_low_size_message':
			return 'Choose a LOW SIZE square image of resolution close to 50 px * 50 px.';
		case 'send_msg_error':
			return 'Error :';
		case 'send_msg_empty_error':
			return 'is empty';
		case 'send_msg_incorrect_error':
			return 'is incorrect';
		case 'send_msg_send_mail_error':
			return 'Error : Failed to send email';
		case 'contact_send_msg_error':
			return 'Error';
		case 'contact_send_msg_success':
			return 'Success : Message Sent';
		case 'send_mail_message':
			return 'Visitor Message';

		/* BASIC new features */
		case 'login_forgot_label':
			return 'Forgot your Password?';
		case 'forgot_email_sent':
			return 'An email with your credentials have been sent to the admin address.';
		case 'forgot_email_subject':
			return 'Credentials Recovery';
		case 'forgot_email_intro':
			return 'This are the admin credentials: ';
		case 'forgot_email_address':
			return 'Your Email';
		case 'forgot_email_pass':
			return 'Your Password';
		case 'slider_button_change_slide_visibility_tooltip':
			return 'Click to change button visibility';
		case 'double_click_footer_tooltip':
			return 'Double click to add custom HTML to the footer';

	 	default:
	 		return 'XXXXX';
	 } 
}

function _slug_replace(&$item, $key)
{
	if ($item == '_Header_')
		$item = 'Header44';

	if ($item == '_subheader_')
		$item = 'subheader';

	if ($item == '_Button of a Link_')
		$item = 'Button of a Link';

	if ($item == '_Feature Name_')
		$item = 'Feature Name';

	if ($item == '_Description_')
		$item = 'Description';

	if ($item == '_Comment_')
		$item = 'Comment';

	if ($item == '_Customer_')
		$item = 'Customer';

	if ($item == '_Plan Name_')
		$item = 'Plan Name';

	if ($item == '_$_')
		$item = '$';

	if ($item == '_Plan Period_')
		$item = 'Plan Period';

	if ($item == '_Features_')
		$item = 'Features';

	if ($item == '_Name_')
		$item = 'Name';

	if ($item == '_Email_')
		$item = 'Email';

	if ($item == '_Phone_')
		$item = 'Phone';

	if ($item == '_Message_')
		$item = 'Message';

	if ($item == '_Send Message_')
		$item = 'Send Message';

	if ($item == '_Contact Us_')
		$item = 'Contact Us11';

	if ($item == '_ADDRESS_')
		$item = 'ADDRESS';

	if ($item == '_PHONE_')
		$item = 'PHONE';

	if ($item == '_footer_')
		$item = '&copy; Your text here';	

}

function array_slug_replace($a)
{
	array_walk_recursive($a, '_slug_replace');
	return $a;
}
?>