<?php
	session_start();
	$loginError = 0;

	if(file_exists("credentials.php")) {
		require_once('credentials.php');
		if(strlen(Email)>0 && strlen(Password)>0) {
			if(isset($_SESSION['user']) && $_SESSION['user'] == Email) {
				header('Location: home.php');
			}
			else {
				if(isset($_POST['login'])) {
					if($_POST['admin-email'] == Email && $_POST['admin-password'] == stripslashes(Password)) {
						$_SESSION['user'] = Email;
						header('Location: home.php');			
					}
					else {
						$loginError = 1;
					}
				}
			}
		}
		else {
			header('Location: install.php');	
		}
	}
	else {
		header('Location: install.php');
	}

	/* Include the language file or redirect to install page */
	if(file_exists("language.php")) {
		require_once('language.php');
	}
	else {
		header('Location: install.php');
	}	
?>
<!DOCTYPE html>
<html>
<head>
<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,600,700,300' rel='stylesheet' type='text/css' />
<script type="text/javascript" src="../js/jquery-1.8.2.min.js"></script>
<style type="text/css">

body {
	margin: 0;
	padding: 0;
	font-family: "Open Sans",Verdana;
}

#header {
	font-size: 16px;
	font-weight: 600;
	text-align: center;
	margin: 100px 0 0 0;
	color: rgba(0, 0, 0, 0.8);
}

#error {
	background-color: #f84545;
	margin: 0 auto 40px auto;
	width: 330px;
	padding: 6px;
	text-align: center;
	font-size: 13px;
	font-family: inherit;
	color: white;
	font-weight: 600;
	-moz-box-sizing: border-box;
 	box-sizing: border-box;
}

form {
	width: 330px;
	height: 262px;
	margin: 50px auto 0 auto;
	position: relative;
	overflow: hidden;
}

.form-element {
	overflow: hidden;
	margin: 0 0 20px 0;
	font-size: 13px;
}

.form-element label {
	width: 130px;
	float: left;
	vertical-align: middle;
	display: inline-block;
}

.form-element input {
	width: 200px;
	vertical-align: middle;
	border: 1px solid #cccccc;
	padding: 4px;
	font-family: inherit;
	font-size: inherit;
	float: left;
	-moz-box-sizing: border-box;
 	box-sizing: border-box;
}

#login-button {
	width: 100px;
	margin: 20px 0 0 130px;
	display: block;
	padding: 4px;
	text-align: center;
	font-size: 13px;
	font-family: inherit;
	background: none;
	background-color: #f87c45;
	color: white;
	border: 1px solid #f87c45;
	cursor: pointer;
}

#forget-password {
	text-align: right;
	cursor: pointer;
	width: 100%;
	font-weight: bold;
}

#form-error {
	position: absolute;
	bottom: -62px;
	transition: bottom 0.2s linear;
	-webkit-transition: bottom 0.2s linear;
	background-color: #f84545;
	width: 100%;
	padding: 8px;
	font-size: 14px;
	-moz-box-sizing: border-box;
 	box-sizing: border-box;
 	text-align: center;
 	color: white;
}

#form-success {
	background-color: #83da3c;
	position: absolute;
	bottom: -62px;
	transition: bottom 0.2s linear;
	-webkit-transition: bottom 0.2s linear;
	width: 100%;
	padding: 8px;
	font-size: 14px;
	-moz-box-sizing: border-box;
 	box-sizing: border-box;
 	text-align: center;
 	color: white;
}

</style>
</head>

<body>

<form method="post">
<?php
	if($loginError) { ?>
		<div id="error"><?php echo __("credentials_error"); ?></div>
<?php }
?>
	<div class="form-element">
		<label><?php echo __("login_email_label"); ?></label>
		<input type="text" id="admin-email" name = "admin-email"/>
	</div>
	<div class="form-element">
		<label><?php echo __("login_password_label"); ?></label>
		<input type="password" id="admin-password" name = "admin-password" />
	</div>
	<div class="form-element">
		<label id="forget-password"><?php echo __("login_forgot_label"); ?></label>
	</div>	
	<input type="submit" value="<?php echo __('login_button'); ?>" name = "login" id="login-button" />
	<div id="form-error"><?php echo __('contact_send_msg_error'); ?></div>
	<div id="form-success"><?php echo __('forgot_email_sent'); ?></div>		
</form>

<script type="text/javascript">
	$("#forget-password").on('click', function () {
		if($('#login-button').attr('data-in-progress') == '1')
			return false;
		
		$("#login-button").css('opacity', '0.7').attr('data-in-progress', '1');
		$.ajax ({
			url: 'forgot-pass.php',
			type: 'POST',
			cache: false,
			success: function(response) {
				$("#login-button").attr('data-in-progress', '0').css('opacity', '1');
				
				if(response.error == 1) {
					$("#form-error").html("<?php echo __('send_msg_send_mail_error'); ?>").css('bottom', '42px');
					setTimeout(function() {
						$("#form-error").css('bottom', '-62px');
					}, 3000);
				}
				else {
					$("#form-success").css('bottom', '0');
					setTimeout(function() {
						$("#form-success").css('bottom', '-62px');
					}, 4000);
					$(".form-element-label").show();
				}
			}
		});
	});
</script>

</body>
</html>